Skip to main content
GET
/
schedule
/
api
/
employee-assignments
List Employee Assignments
curl --request GET \
  --url https://{host}/schedule/api/employee-assignments \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/schedule/api/employee-assignments"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/schedule/api/employee-assignments', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "items": [
    {
      "workContractId": 1,
      "startsOn": "2023-12-25",
      "employee": {
        "id": 1,
        "firstName": "<string>",
        "lastName": "<string>",
        "displayName": "<string>",
        "jobQualificationName": "<string>",
        "employeeNumber": "<string>",
        "establishmentId": 1,
        "establishmentName": "<string>",
        "department": {
          "id": 1,
          "name": "<string>"
        }
      },
      "id": 1,
      "workingTimeArrangement": {
        "id": 1,
        "name": "<string>"
      },
      "endsOn": "2023-12-25"
    }
  ]
}
{
  "type": "<string>",
  "title": "<string>",
  "detail": "<string>"
}
{
  "type": "<string>",
  "title": "<string>",
  "detail": "<string>"
}
{
  "type": "<string>",
  "title": "<string>",
  "detail": "<string>"
}
{
  "type": "<string>",
  "title": "<string>",
  "detail": "<string>"
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Query Parameters

page
string

Next page token

Examples:

"next_token&fields.root=next"

"2"

limit
integer
default:10

Number of items per page

Required range: 0 <= x <= 100
fields.root
enum<string>

Include collection properties.

Available options:
count
workingTimeArrangement.id
integer<int32>[]

Only return results that match one of the given working time arrangement ID.

Required range: x >= 0
-workingTimeArrangement.id
integer<int32>[]

Only return results that DO NOT match one of the given working time arrangement ID (exclude).

Required range: x >= 0
employee.id
integer<int32>[]

Only return results that match one of the given employee ID.

Required range: x >= 0
-employee.id
integer<int32>[]

Only return results that DO NOT match one of the given employee ID.

Required range: x >= 0
employee.applicableEstablishment.id
integer<int32>[]

Only return results for employees who belong to one of the given business-establishment ID.

Required range: x >= 0
-employee.applicableEstablishment.id
integer<int32>[]

Only return results for employees who DO NOT belong to one of the given business-establishment ID (exclude).

Required range: x >= 0
employee.applicableDepartment.id
integer<int32>[]

Only return results for employees who belong to one of the given department ID.

Required range: x >= 0
-employee.applicableDepartment.id
integer<int32>[]

Only return results for employees who DO NOT belong to one of the given department ID (exclude).

Required range: x >= 0
startsBefore
string<date>

Assignment start date must be strictly less than given date.

startsAfter
string<date>

Assignment start date strictly greater than given date.

endsBefore
string<date>

Assignment end date must be strictly less than given date.

endsAfter
string<date>

Assignment end date strictly greater than given date.

sort
enum<string>
default:startsOn

Sort items by a property.

Available options:
startsOn

Response

OK

items
WtaEmployeeAssignment · object[]